## net.i2p.router.web
Class ReseedHandler

    java.lang.Object
      net.i2p.router.web.ReseedHandler

public class ReseedHandler
extends java.lang.Object

Handler to deal with reseed requests. This reseed from the URL http://dev.i2p.net/i2pdb2/ unless the java env property "i2p.reseedURL" is set. It always writes to ./netDb/, so don't mess with that.

Nested Class Summary
`static class` `ReseedHandler.ReseedRunner`

Field Summary
`(package private) static java.lang.String` `DEFAULT_SEED_URL`

Constructor Summary
`ReseedHandler()`

Method Summary
`static void` `main(java.lang.String[] args)`
`static void` `requestReseed()`
`void` `setReseedNonce(java.lang.String nonce)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SEED_URL

    static final java.lang.String DEFAULT_SEED_URL

See Also:
  Constant Field Values

Constructor Detail

### ReseedHandler

    public ReseedHandler()

Method Detail

### setReseedNonce

    public void setReseedNonce(java.lang.String nonce)

### requestReseed

    public static void requestReseed()

### main

    public static void main(java.lang.String[] args)